--[[
	OrderMap

	The value of each property may be changed to use different values from any of the data sources related to a request.
	The value should be in the format dataSource.fieldName (ex. Transaction.RequestInfo1).
--]]

OrderMap = {};

OrderMap.Detail = {};
OrderMap.Detail.Comment = nil;
OrderMap.Detail.AuthorLast = nil;
OrderMap.Detail.AuthorFirst = nil;
OrderMap.Detail.ISSN = "{TableField:Transaction.ISSN}";
OrderMap.Detail.EISSN = nil;
OrderMap.Detail.ISBN = nil;
OrderMap.Detail.Title = "{TableField:Transaction.PhotoJournalTitle}";
OrderMap.Detail.ArticleTitle = "{TableField:Transaction.PhotoArticleTitle}";
OrderMap.Detail.Volume = "{TableField:Transaction.PhotoJournalVolume}";
OrderMap.Detail.Issue = "{TableField:Transaction.PhotoJournalIssue}";
OrderMap.Detail.Pages = "{TableField:Transaction.PhotoJournalInclusivePages}";
OrderMap.Detail.Date = "{TableField:Transaction.PhotoJournalYear}";
OrderMap.Detail.DOI = "{TableField:Transaction.DOI}";


OrderMap.User = {};
OrderMap.User.Username = "{TableField:LocalInfo.BorrowingEMailAddress}";
OrderMap.User.Email = "{TableField:LocalInfo.BorrowingEMailAddress}";
OrderMap.User.FirstName = "*"; --Typically University's ILL name or group name. Not necessary
OrderMap.User.LastName = "*"; -- Typically University's secondary group name. Not necessary
OrderMap.User.BillingReference = "{TableField:LocalInfo.NVTGC}";
OrderMap.User.Zip = "{TableField:LocalInfo.BorrowingZip}";
OrderMap.User.CountryCode = "US";
OrderMap.User.Phone = "{TableField:LocalInfo.BorrowingPhone}";
OrderMap.User.Fax = "{TableField:LocalInfo.BorrowingFax}";

OrderMap.DeliveryProfile = {};
OrderMap.DeliveryProfile.CompanyName = "{TableField:LocalInfo.LibraryName}";
OrderMap.DeliveryProfile.FirstName = "*";
OrderMap.DeliveryProfile.LastName = "*";
OrderMap.DeliveryProfile.Address = "{TableField:LocalInfo.BorrowingAddress1}";
OrderMap.DeliveryProfile.AddressTwo = "{TableField:LocalInfo.BorrowingAddress2}";
OrderMap.DeliveryProfile.City = "{TableField:LocalInfo.BorrowingCity}";
OrderMap.DeliveryProfile.StateCode = "{TableField:LocalInfo.BorrowingState}";
OrderMap.DeliveryProfile.StateName = "{TableField:LocalInfo.BorrowingState}";
OrderMap.DeliveryProfile.Zip = "{TableField:LocalInfo.BorrowingZip}";
OrderMap.DeliveryProfile.Country = "US";
OrderMap.DeliveryProfile.Phone = "{TableField:LocalInfo.BorrowingPhone}";
OrderMap.DeliveryProfile.Fax = "{TableField:LocalInfo.BorrowingFax}";

OrderMap.CustomerReferences = {};
OrderMap.CustomerReferences[1] = {};
OrderMap.CustomerReferences[1].DisplayName = "Transaction Number";
OrderMap.CustomerReferences[1].DefaultField = "Transaction.TransactionNumber";
OrderMap.CustomerReferences[1].DefaultValue = nil;

-- OrderMap.CustomerReferences[2] = {};
-- OrderMap.CustomerReferences[2].DisplayName = "Customer Reference 2";
-- OrderMap.CustomerReferences[2].DefaultField = nil;
-- OrderMap.CustomerReferences[2].DefaultValue = nil;

-- OrderMap.CustomerReferences[3] = {};
-- OrderMap.CustomerReferences[3].DisplayName = "Customer Reference 3";
-- OrderMap.CustomerReferences[3].DefaultField = nil;
-- OrderMap.CustomerReferences[3].DefaultValue = nil;

-- OrderMap.CustomerReferences[4] = {};
-- OrderMap.CustomerReferences[4].DisplayName = "Customer Reference 4";
-- OrderMap.CustomerReferences[4].DefaultField = nil;
-- OrderMap.CustomerReferences[4].DefaultValue = nil;

-- OrderMap.CustomerReferences[5] = {};
-- OrderMap.CustomerReferences[5].DisplayName = "Customer Reference 5";
-- OrderMap.CustomerReferences[5].DefaultField = nil;
-- OrderMap.CustomerReferences[5].DefaultValue = nil;

-- OrderMap.CustomerReferences[6] = {};
-- OrderMap.CustomerReferences[6].DisplayName = "Customer Reference 6";
-- OrderMap.CustomerReferences[6].DefaultField = nil;
-- OrderMap.CustomerReferences[6].DefaultValue = nil;

-- OrderMap.CustomerReferences[7] = {};
-- OrderMap.CustomerReferences[7].DisplayName = "Customer Reference 7";
-- OrderMap.CustomerReferences[7].DefaultField = nil;
-- OrderMap.CustomerReferences[7].DefaultValue = nil;

-- OrderMap.CustomerReferences[8] = {};
-- OrderMap.CustomerReferences[8].DisplayName = "Customer Reference 8";
-- OrderMap.CustomerReferences[8].DefaultField = nil;
-- OrderMap.CustomerReferences[8].DefaultValue = nil;

-- OrderMap.CustomerReferences[9] = {};
-- OrderMap.CustomerReferences[9].DisplayName = "Customer Reference 9";
-- OrderMap.CustomerReferences[9].DefaultField = nil;
-- OrderMap.CustomerReferences[9].DefaultValue = nil;

-- OrderMap.CustomerReferences[10] = {};
-- OrderMap.CustomerReferences[10].DisplayName = "Customer Reference 10";
-- OrderMap.CustomerReferences[10].DefaultField = nil;
-- OrderMap.CustomerReferences[10].DefaultValue = nil;

-- OrderMap.CustomerReferences[11] = {};
-- OrderMap.CustomerReferences[11].DisplayName = "Customer Reference 11";
-- OrderMap.CustomerReferences[11].DefaultField = nil;
-- OrderMap.CustomerReferences[11].DefaultValue = nil;

-- OrderMap.CustomerReferences[12] = {};
-- OrderMap.CustomerReferences[12].DisplayName = "Customer Reference 12";
-- OrderMap.CustomerReferences[12].DefaultField = nil;
-- OrderMap.CustomerReferences[12].DefaultValue = nil;

-- OrderMap.CustomerReferences[13] = {};
-- OrderMap.CustomerReferences[13].DisplayName = "Customer Reference 13";
-- OrderMap.CustomerReferences[13].DefaultField = nil;
-- OrderMap.CustomerReferences[13].DefaultValue = nil;

-- OrderMap.CustomerReferences[14] = {};
-- OrderMap.CustomerReferences[14].DisplayName = "Customer Reference 14";
-- OrderMap.CustomerReferences[14].DefaultField = nil;
-- OrderMap.CustomerReferences[14].DefaultValue = nil;

-- OrderMap.CustomerReferences[15] = {};
-- OrderMap.CustomerReferences[15].DisplayName = "Customer Reference 15";
-- OrderMap.CustomerReferences[15].DefaultField = nil;
-- OrderMap.CustomerReferences[15].DefaultValue = nil;
